FFe: Add Unity's window keyboard shortcuts to GNOME Shell

Bug #982719 reported by Jeremy Bicha on 2012-04-16
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
gsettings-desktop-schemas (Ubuntu)
Undecided
Unassigned
mutter (Ubuntu)
Undecided
Unassigned

Bug Description

I'm requesting a feature freeze exception to add gsettings window keyboard shortcuts to match the existing gconf keyboard shortcuts. For Precise, only GNOME Shell uses gsettings for keyboard shortcuts. A nice thing about these gsettings are that multiple keyboard shortcuts can be assigned to one action, so these shortcuts are additions, not replacements. I hope that these existing gsettings will be used for Unity's shortcuts in Q.

The only shortcut I'd like to remove is Alt+F10 which was originally set to toggle maximized for GNOME Shell. In Unity, Alt+F10 focuses the indicator status menus so maximizing instead would be a bit confusing.

The regression risk is low as this only affects a non-default desktop and can be easily reverted.

I have tested these overrides and they work. (The Move to N,E,S, and W sides action is a bit useless as implemented in mutter, but the shortcut itself works and the move to corner actions are fine.)

> org.gnome.desktop.wm.keybindings (gsettings-desktop-schemas)
Before
=====
Minimize <not-set>
Move to NE corner <not-set>
Move to NW corner <not-set>
Move to SE corner <not-set>
Move to SW corner <not-set>
Move to E side <not-set>
Move to N side <not-set>
Move to S side <not-set>
Move to W side <not-set>
Toggle maximized Super+Up, Alt+F10
Toggle shaded <not-set>
Unmaximize Super+Down, Alt+F5
Show desktop <not-set>

After
=====
Minimize Ctrl+Alt+KP_0
Move to NE corner Ctrl+Alt+KP_Prior
Move to NW corner Ctrl+Alt+KP_Home
Move to SE corner Ctrl+Alt+KP_Next
Move to SW corner Ctrl+Alt+KP_End
Move to E side Ctrl+Alt+KP_Right
Move to N side Ctrl+Alt+KP_Up
Move to S side Ctrl+Alt+KP_Down
Move to W side Ctrl+Alt+KP_Left
Toggle maximized Super+Up, Ctrl+Super+Up, Ctrl+Alt+KP_5
Toggle shaded Ctrl+Alt+S
Unmaximize Super+Down, Alt+F5, Ctrl+Super+Down
Show desktop Ctrl+Alt+D, Ctrl+Super+D, Super+D

> org.gnome.mutter.keybindings (mutter-common)
Before
=====
toggle-tiled-left Super+Left
toggle-tiled-right Super+Right

After
=====
toggle-tiled-left Super+Left, Ctrl+Super+Left
toggle-tiled-right Super+Right, Ctrl+Super+Right

ProblemType: BugDistroRelease: Ubuntu 12.04
Package: gsettings-desktop-schemas 3.4.0-1ubuntu1 [modified: usr/share/glib-2.0/schemas/10_gsettings-desktop-schemas.gschema.override]
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14
Uname: Linux 3.2.0-23-generic x86_64
ApportVersion: 2.0.1-0ubuntu2
Architecture: amd64
CheckboxSubmission: 201084ed41ea7548f8becd47fa4d1e6c
CheckboxSystem: c541d13ea4f205f2fd751f76ed21105b
Date: Sun Apr 15 21:39:27 2012
PackageArchitecture: allSourcePackage: gsettings-desktop-schemas
UpgradeStatus: No upgrade log present (probably fresh install)

Jeremy Bicha (jbicha) wrote :
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gsettings-desktop-schemas - 3.4.1-0ubuntu1

---------------
gsettings-desktop-schemas (3.4.1-0ubuntu1) precise-proposed; urgency=low

  * New upstream release.
    - Translation updates
  * gsettings-desktop-schemas.gsettings-override:
    - Add several of Unity's keyboard shortcuts to gsettings for
      the benefit of GNOME Shell. (LP: #982719, LP: #969235)
    - Unset Alt+F10 as a shortcut for maximizing windows
 -- Jeremy Bicha <email address hidden> Mon, 16 Apr 2012 10:03:05 -0400

Changed in gsettings-desktop-schemas (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mutter - 3.4.1-0ubuntu1

---------------
mutter (3.4.1-0ubuntu1) precise-proposed; urgency=low

  * New upstream release:
    - API change: the meta_display_add_keybinding() function added in 3.4
      wasn't usable from a GNOME Shell extension, so has been changed to take
      a GSettings object rather than the name of a schema
    - Fix a crash in the default plugin (not used in GNOME)
    - Make the <Super> key work when set as the mouse button modifier
    - Don't try to automaximize non-maximizable windows, fixes misaligned
      wallpaper (LP: #964796)
  * mutter-common.gconf-defaults:
    - Restore Ctrl+Alt+T shortcut for opening the terminal in GNOME
      Shell (LP: #952223)
  * mutter-common.gsettings-overrides:
    - Add Ctrl+Super+Left/Right shortcut for semi-maximizing windows
      (LP: #982719, LP: #969235)
 -- Jeremy Bicha <email address hidden> Tue, 17 Apr 2012 21:05:15 -0400

Changed in mutter (Ubuntu):
status: New → Fix Released

Hi, Can you tell me how to disable this? I override with System | Preferences | Keyboard Shortcuts, but my "overrides" do not take affect. Thank you.

Jeremy Bicha (jbicha) wrote :

Chris, I think your problem is bug 965921. You'll have to use dconf-editor (install dconf-tools) to set keyboard shortcuts for GNOME Shell for Ubuntu 12.04. That will be fixed for Ubuntu 12.10.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers